Removed 'Replaces: ${j2se_package}debian' from the generated control file
[sven/java-package.git] / debian / changelog
1 java-package (0.53) UNRELEASED; urgency=low
2
3   * Team upload.
4   * Added support for early access releases (Closes: #721136)
5   * Added support for GA and FCS releases
6   * Updated the package description:
7     - no longer recommend openjdk-6
8     - mention the compatibility with Java 8
9   * Removed 'Replaces: ${j2se_package}debian' from the generated control file
10
11  -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Aug 2013 19:34:41 +0200
12
13 java-package (0.52) unstable; urgency=low
14
15   [ Sylvestre Ledru ]
16   * Team upload
17   * Upload to unstable
18   * Ack the NMU of David Prévot (thanks!)
19   * Standards-Version updated to version 3.9.4
20   * Remove obsolete variable from the changelog
21   * Add support of ARM upstream binary by James Page and Matthias Vill.
22     Thanks guys! (Closes: #687375)
23   * Change the installation path from
24     /usr/lib/jvm/jdk-6.38-oracle-x64 or /usr/lib/jvm/jdk-7.10-oracle-x64
25     to
26     /usr/lib/jvm/jdk-6-oracle-x64 and /usr/lib/jvm/jdk-7-oracle-x64
27     Thanks to Constantin Makshin for the patch (Closes: #696227)
28
29   [ Cédric Pineau ]
30   * Fix lintian errors and warnings
31
32   [ Gabriele Giacone ]
33   * Add {mozilla,firefox}-javaplugin.so for update-java-alternatives.
34   * Fix plugin directories. Closes: #686216
35
36   [ Emmanuel Bourg ]
37   * Switched to the 3.0 (native) package format
38   * debian/control: Use canonical URLs for the Vcs-* fields
39   * debian/copyright: Switched to the Machine-readable format 1.0
40   * Updated the manpages to reflect the latest naming changes
41   * Removed the unused provided dependencies (j2sdk<version>, j2re<version>)
42   * Provide the java<version-1>-runtime and java<version-2>-runtime dependencies
43     (Closes: #691063)
44   * Provide the java<version>-sdk dependencies to match the openjdk package
45   * Use the upstream versioning scheme (i.e 7u13 instead of 7.13)
46     to match the convention used by the new openjdk packages
47   * Renamed the script files (j2sdk->jdk, j2re->jre, j2se->javase)
48
49  -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jun 2013 13:43:55 +0200
50
51 java-package (0.51~exp1) experimental; urgency=low
52
53   * Add firefox-javaplugin.so alternative Closes: #673670 and LP: #1024368
54   * Add java5 and 6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993 and LP: #995655
55   * Drop installation debconf note Closes: #685082
56   * Correct handling of amd64 in oracle-jdk6.1->4 and improve error message when used with unknown archives
57   * Add support for earlier oracle-jdk6 version
58
59   [Emmanuel Bourg]
60   * Improved detection of the JRE/JDK version (supports 2 digits Java 7 updates) Closes: #597294
61   * Brand and naming cleanup
62   * Documentation directory changed to be /usr/share/doc/oracle-javaV-doc (for oracle)
63
64   [Joerg Schirottke]
65   * Add mozilla-javaplugin.so alternative
66
67  -- Cédric Pineau <cedric.pineau@gmail.com>  Sat, 18 Aug 2012 11:00:34 +0200
68
69 java-package (0.50+nmu2) unstable; urgency=high
70
71   * Non-maintainer upload.
72   * Allow two digits in Java 7 updates. Closes: #597294, #698108
73
74  -- David Prévot <taffit@debian.org>  Tue, 15 Jan 2013 15:06:26 -0400
75
76 java-package (0.50+nmu1) unstable; urgency=low
77
78   * Non-maintainer upload.
79   * Drop installation debconf note. Closes: #685082
80
81  -- David Prévot <taffit@debian.org>  Thu, 06 Sep 2012 18:38:03 -0400
82
83 java-package (0.50) unstable; urgency=low
84
85   * Java-package reset for reintroduction in debian (removal of all
86     previously supported jvm, global refactoring).
87   * Add support for Oracle Java 6 (update >= 10)
88   * Add support for Oracle Java 7
89   * Add support for .jinfo file (update-java-alternatives tool)
90   * Use jdk included jre binaries (jdk/jre/bin/*)
91   * Print usage information on install
92
93   [ Sylvestre Ledru ]
94   * Long description removed
95   * debian-rules-missing-recommended-target removed
96   * maintainer-script-lacks-debhelper-token removed
97   * Declare the debian/compat to 7 to avoid warnings
98   
99   [ Michael Kock ]
100   * Remove Java plugins for all browsers (Closes: #367887).
101   * Add support for Sun Java 6 Update XX (Closes: #514364).
102
103  -- Cédric Pineau <cedric.pineau@gmail.com>  Thu, 22 Dec 2011 11:42:13 +0100
104
105 java-package (0.42) unstable; urgency=low
106
107   * Provide java*-runtime-headless and java*-sdk names for generated
108     packages.
109   * Recommend dpkg-dev and gcc. Closes: #281766, #405814.
110
111  -- Matthias Klose <doko@debian.org>  Sat, 02 Aug 2008 12:10:52 +0200
112
113 java-package (0.41) unstable; urgency=low
114
115   * Added support for new SUN JDK/JRE for amd64 downloads. Thanks to
116     Artyom Gavrichenkov for the initial patch.
117
118  -- Michael Koch <konqueror@gmx.de>  Fri, 21 Mar 2008 17:20:35 +0100
119
120 java-package (0.40) unstable; urgency=low
121
122   * Add support for ibm-java2-sdk-5.0-6.0-linux-$arch.tgz. Closes: #462399
123     Thanks to Evgeni Dobrev for the patch.
124   * Fixed spelling error in long description: debian -> Debian.
125
126  -- Michael Koch <konqueror@gmx.de>  Thu, 24 Jan 2008 22:48:46 +0100
127
128 java-package (0.39) unstable; urgency=low
129
130   * Added support for IBM JDK 6.0 final release.
131   * Updated Standard-Version to 3.7.3.
132   * Updated debhelper level to 5.
133
134  -- Michael Koch <konqueror@gmx.de>  Tue, 18 Dec 2007 07:38:34 +0100
135
136 java-package (0.38) unstable; urgency=low
137
138   * Mention SUN JDK 6 in REAME.Debian. Closes: #448258.
139   * Fixed typo when creating version number for SUN JDK 6. Closes: #451935.
140   * Fix handling of symlinks for ControlPanel, HtmlConverter and java-rmi.cgi
141     from SUN JDK 6. Closes: #448351.
142
143  -- Michael Koch <konqueror@gmx.de>  Fri, 30 Nov 2007 00:03:50 +0100
144
145 java-package (0.37) unstable; urgency=low
146
147   * Added libstdc++5 to Recommends of generated package. Closes: #446334.
148
149  -- Michael Koch <konqueror@gmx.de>  Thu, 25 Oct 2007 22:45:42 +0200
150
151 java-package (0.36) unstable; urgency=low
152
153   * Fixed package description to include more supported JDKs.
154     Closes: #447615, #447617.
155
156  -- Michael Koch <konqueror@gmx.de>  Wed, 24 Oct 2007 09:56:52 +0200
157
158 java-package (0.35) unstable; urgency=low
159
160   * Use 'date -R' instead of the deprecated '822-date'. Closes: #441229.
161   * Fix generation of .changes file. Closes: #332643.
162     Thanks to Christoph Goehre for the patch.
163   * Add possibility to add a configured revision to the version.
164     Closes: #442246. Thanks to Christoph Goehre again for the patch.
165
166  -- Michael Koch <konqueror@gmx.de>  Fri, 14 Sep 2007 17:28:13 +0200
167
168 java-package (0.34) unstable; urgency=low
169
170   * Fixed SUN JDK on amd64. Closes: #439221.
171
172  -- Michael Koch <konqueror@gmx.de>  Fri, 24 Aug 2007 00:41:54 +0200
173
174 java-package (0.33) unstable; urgency=low
175
176   * Fixed postinst scripts for SUN JDK 1.4, 5 and 6. Closes: #435632.
177
178  -- Michael Koch <konqueror@gmx.de>  Thu, 02 Aug 2007 18:43:40 +0200
179
180 java-package (0.32) unstable; urgency=low
181
182   * Added support for iceweasel. Closes: #433445.
183   * Fix dangling links for SUN Java 5. Closes: #305053.
184   * Depend on libx11-6 and libasound2. Closes: #289004.
185   * Fix building on ia64. Closes: #355465.
186
187  -- Michael Koch <konqueror@gmx.de>  Thu, 19 Jul 2007 22:51:31 +0200
188
189 java-package (0.31) unstable; urgency=low
190
191   * Reapplied changes from 0.28 to 0.29. Closes: 322843.
192
193  -- Michael Koch <konqueror@gmx.de>  Tue, 10 Jul 2007 08:16:14 +0200
194
195 java-package (0.30) unstable; urgency=low
196
197   * Added support for SUN JDK 6u2 (and following updates).
198   * Added support for ibm-java2-jre-5.0-5.0-linux-ppc.tgz.
199     Thanks to B. Zhang.
200
201  -- Michael Koch <konqueror@gmx.de>  Sun, 08 Jul 2007 09:33:29 +0200
202
203 java-package (0.29) unstable; urgency=low
204
205   * Added support for SUN Java 6 and IBM Java 6.
206     Closes: #322843, #402642, #418592, #425508, #430026.
207   * Added myself to Uploaders.
208
209  -- Michael Koch <konqueror@gmx.de>  Tue, 26 Jun 2007 17:40:04 -0100
210
211 java-package (0.28) unstable; urgency=low
212
213   * Modified to reflect migration to Subversion
214   * Bumped standards to version 3.7.2, no changes
215   * Corrected test for AMD64 architecture during plug-in detection
216   * Corrected detected version for IBM Java 5 JDK on AMD64 (Closes: #345775)
217   * Repaired alternatives handling for IBM Java 5 JREs and JDKs
218     (Closes: #338569)
219   * Corrected pathing for alternatives installation for Mozilla and
220     Firefox plugins (Closes: #341751)
221   * Relaxed architectural restrictions on plugin alternative 
222     installation for IBM Java 5 JREs and JDKs (Closes: #343837)
223   * Added plugin installation for the new packaging of Firefox 1.5 and
224     later (Closes: #341749)
225   * Modified warning suppression for dh_shlibdeps to accommodate 
226     changes in dpkg-dev (Closes: #354427)
227   * Added quotes to variable tests for maintainer name and email 
228     (Closes: #342623)
229   * Refactored architecture evaluation to eliminate repetition and
230     evaluate DEB_BUILD_GNU_TYPE correctly for i486-linux-gnu
231   * Removed dependency on 'coreutils | stat' from control file, as
232     the dependency is satisfied within essential (Closes: #370002)
233
234  -- Barry Hawkins <barry@alltc.com>  Mon, 26 Jun 2006 11:19:08 -0400
235
236 java-package (0.27) unstable; urgency=low
237
238   * Added support for IBM Java2 5.0 JREs and JDKs (Closes: #337129)
239   * Corrected missing alternatives links for all JREs and JDKs
240     (Closes: #317492)
241   * Added conditional wrapping around dh_compress to account for
242     JRE/JDKs that do not ship manpages (Closes: 301738)
243   * Removed java-common from Provides: for JRE and JDK packages.
244
245  -- Barry Hawkins <barry@bytemason.org>  Tue, 08 Nov 2005 12:16:24 -0500
246
247 java-package (0.26) unstable; urgency=low
248
249   * Update standards version to 3.6.2
250   * Resolve issues with powerpc-linux support detection (Closes: #317671)
251   * Added support for Blackdown 1.4.2+02 release (Closes: #316831)
252   * Added support for packaging Sun JDK documentation (Closes: #272971)
253   * Modified make-jpkg behavior to default the generated packages' 
254     name and email address for the maintainer to Debian Java Maintainers
255     (Closes: #325554)
256
257  -- Barry Hawkins <barry@bytemason.org>  Thu, 18 Aug 2005 00:43:17 -0400
258
259 java-package (0.25) unstable; urgency=low
260
261   * Cope with dpkg's new way of expressing architectures (Closes: #313555)
262   * Re-exec with fakeroot if needed (Closes: #310132)
263
264  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sun, 10 Jul 2005 18:50:40 +0200
265
266 java-package (0.24) unstable; urgency=low
267
268   * Added plugin alternatives support for i386 IBM JREs and JDKs
269   * Corrected pathing for plugin alternatives to reflect difference in 
270     layout between JREs and JDKs for Sun and Blackdown (Closes: #305219,
271     #301806)
272
273  -- Barry Hawkins <barry@bytemason.org>  Wed, 21 Apr 2005 01:02:03 -0400
274
275 java-package (0.23.1) experimental; urgency=low
276
277   * Added architecture-specific pathing for plugin alternatives for 
278     Blackdown 1.3 and 1.4 JREs and JDKs
279
280  -- Barry Hawkins <barry@bytemason.org>  Wed, 06 Apr 2005 00:03:40 -0500
281
282 java-package (0.23) unstable; urgency=low
283
284   * Further expanded 1.3.1 Blackdown JRE/JDK support for i386
285   * Added architecture-specific pathing for plugin alternatives for 
286     Sun 1.4 and 1.5 JREs and JDKs (Closes: #301806)
287   * Added recommends for system elements required by applets and 
288     graphical user interface elements (Closes: #300817)
289   * Jeroen van Wolffelaar:
290     + Fixed packages description to not have too long lines, and make the 3
291       items an enumeration
292
293  -- Barry Hawkins <barry@bytemason.org>  Fri, 01 Apr 2005 00:36:40 -0500
294
295 java-package (0.22.1) experimental; urgency=low
296
297   * Corrected IBM and Blackdown JRE/JDK file size specifications
298   * Added support for additional 1.3.1 Blackdown JREs and JDKs for i386,
299     powerpc (Closes: #301092)
300   * Added installation of javaws alternative for Sun 1.5 JREs and JDKs 
301     (Closes: #300303)
302
303  -- Barry Hawkins <barry@bytemason.org>  Thu, 24 Mar 2005 13:20:18 -0500
304
305 java-package (0.22) unstable; urgency=low
306
307   * Corrected IBM JRE/JDK scripts to accurately reflect the supported 
308     IBM JDKs and JREs in the generated SUPPORTED file
309
310  -- Barry Hawkins <barry@alltc.com>  Fri, 18 Mar 2005 10:21:53 -0500
311
312 java-package (0.21) unstable; urgency=low
313
314   * Enable support for IBM JDKs and JREs for x86, amd64, powerpc, 
315     powerpc64, and s390 architectures, based upon a patch by Rico 
316     Schiekel (Closes: #264137)
317   * Enable suppport for Blackdown 1.3.1 JDK and JRE for PowerPC 
318     architecture. (Closes: #296205)
319   * Update documentation and to reflect current supported JDKs and JREs
320
321  -- Barry Hawkins <barry@alltc.com>  Mon, 14 Mar 2005 03:18:39 -0500
322
323 java-package (0.20) unstable; urgency=low
324
325   * Make the postinst & rm for generated packages #!/bin/bash, as we use
326     bash-specific features (Closes: #292179)
327   * Drop the df output parsing, use '/usr/bin/stat' instead (Closes: #293487,
328     #289006, #293350)
329   * Drop the now obsolete peer stuff from the source package
330   * Change priorities, 313 for 1.3, 314 for 1.4, etc (Closes: #292451)
331   * Don't dh_strip, fiddling with upstream's binaries apparantly breaks stuff
332     (Closes: #291238)
333
334  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 08 Feb 2005 15:04:51 +0100
335
336 java-package (0.19) unstable; urgency=low
337
338   The "Joshua Kwan <joshk@debian.org> rocks!" release.
339
340   Joshua Kwan:
341   * Unclutter Debian build system and rework package slightly so that
342     *debian packages are not needed anymore. The necessary files will be
343     included in the generated packages. (Closes: #291145, #289245, #284779)
344   * Add support for Blackdown 1.4.2+01 build. (Closes: #285405)
345   * Fix support for Sun 1.5.0 amd64 builds due to typo. (Closes: #290879)
346   * Mozilla browser plugin name changed in 1.4.2 versions. Detect and correct.
347     (Closes: #273730)
348   * Use --block-size=1M instead of -BM. (Closes: #289005, #291161)
349   * Disable support for Sun JDK 1.3 due to its dependencies on libraries
350     that are simply not available anymore. (Closes: #272972)
351   * Fix up short description a little bit.
352   * Bump Standards-Version to 3.6.1 (no changes)
353   * Be a bit more conservative with the real-root test.
354   * Remove last j2se-package references.
355   * Change Suggests on fakeroot to a Depends because it is worthless both
356     as real root and as a normal user without fakeroot.
357
358   Jeroen van Wolffelaar:
359   * Use DEBFULLNAME, DEBNAME and DEBEMAIL if available, and don't ask for
360     those values in that case. (Closes: #279653)
361   * Updated documentation regarding dropped Sun 1.3 support
362   * Work around multiline df output caused by long device names
363     (Closes: #289006)
364   * Add Replaces: for the generated packages on their *debian counterparts
365
366  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 25 Jan 2005 00:05:06 +0100
367
368 java-package (0.18) unstable; urgency=low
369
370   * Added myself to Uploaders
371   * Fix security hole (inscure temp file creation) plus lots of needless I/O
372     in free disk checking function
373   * Added support for Sun's JDK/JRE 1.5 patch levels, based on a patch by
374     Peter Marschall <peter@adpm.de> (Closes: #286718, #287857)
375   * Bail out if running as real root (works around the evil parts of Sun's
376     install script that unconditionally writes to /etc, see #266273, #280707)
377   * Fix typo in j2re.sh that apparantly with some versions of
378     bash/dpkg/whatever cause package build failure (Closes: #281780, #282902)
379   * Reduce minimum expected size a bit Sun's 1.5.0 amd64 package, it was set
380     too high (Closes: #284033)
381   * Substitute package version number at build time in the make-jpkg
382     executable (Closes: #282221)
383   * Added a README.Debian explaining the existance of make-jpkg and what
384     binary packages are supported and where to get them. Thanks Thijs
385     Kinkhorst for the draft (Closes: #283362)
386   * Added automatically-generated file SUPPORTED that lists all binary
387     filenames that are supported, thanks Alex Owen <owen@cus.org.uk> for the
388     idea (Closes: #275296)
389
390  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Mon,  3 Jan 2005 18:47:47 +0100
391
392 java-package (0.17) unstable; urgency=low
393
394   * added a patch for detecting the architecture (Closes: #274844,
395     #270949, #271846). This patch should also close this one (Closes:
396     #280685).
397
398  -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Nov 2004 17:28:38 +0100
399
400 java-package (0.16) unstable; urgency=low
401
402   * added myself as an uploader.
403   * Carlos already closed the support for 1.5 request but it seems he did
404     not upload the package (Closes: #277088).
405
406  -- Arnaud Vandyck <avdyk@debian.org>  Wed, 10 Nov 2004 16:38:44 +0100
407
408 java-package (0.15) unstable; urgency=low
409
410   * lib/sun-j2re.sh: Added support for JRE 1.5.0 (aka "Java 5.0").
411   * lib/sun-j2sdk.sh: Added support for Java SDK 1.5.0.
412
413  -- Carlos Laviola <claviola@debian.org>  Mon, 11 Oct 2004 21:08:59 -0300
414
415 java-package (0.14) unstable; urgency=low
416
417   * debian/control: Commented out the lines that generate the Debian-specific
418     packages, thus making alternatives available.
419     - Also made all of the generated packages depend on their Debian-specific
420     counterparts by default.  (Closes: #266671)
421
422  -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:38:31 -0300
423
424 java-package (0.13) unstable; urgency=low
425
426   * References to j2se-package are gone.  (Closes: #267642)
427   * Added support for Blackdown Java 1.4.2 RC1 JRE/SDK.  (Closes: #267643)
428
429  -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:17:54 -0300
430
431 java-package (0.12) unstable; urgency=low
432
433   * remove to contrib because this package depend on non-free J2SE.
434
435  -- Takashi Okamoto <tora@debian.org>  Tue,  3 Aug 2004 00:37:13 +0900
436
437 java-package (0.11) unstable; urgency=low
438
439   * change package name java-package and the command build package is 
440     make-jpkg.
441
442  -- Takashi Okamoto <tora@debian.org>  Sat, 31 Jul 2004 15:07:36 +0900
443
444 java-package (0.10) unstable; urgency=low
445
446   * change package name mpkg-j2se.
447   * not use *-j2[re|sdk]debian package. Instead of this, add package 
448     dependency to generated package. This reduce the installation for 
449     such extra package. 
450   * SUN's jdk1.5 beta2 support.
451
452  -- Takashi Okamoto <tora@debian.org>  Sun, 18 Jul 2004 13:53:36 +0900
453
454 java-package (0.9) unstable; urgency=low
455
456   * more generic support for j2re1.3.1/j2sdk1.3.1 from SUN.
457
458   * add alternative for jarsigner (in j2sdk1.4 and j2sdk1.5 from SUN).
459
460  -- Hubert Schmid <ude2@z42.de>  Sun, 23 May 2004 23:35:14 +0200
461
462 java-package (0.8) unstable; urgency=low
463
464   * java plugin: support for mozilla-firefox.
465
466  -- Hubert Schmid <ude2@z42.de>  Tue,  4 May 2004 22:39:39 +0200
467
468 java-package (0.7) unstable; urgency=low
469
470   * Optionally create .changes file.
471
472   * Add command line options: --help, --version, --full-name,
473     --email, --changes.
474
475   * Add environment variables: J2SE_PACKAGE_FULL_NAME,
476     J2SE_PACKAGE_EMAIL.
477
478  -- Hubert Schmid <ude2@z42.de>  Sat, 27 Mar 2004 23:01:08 +0100
479
480 java-package (0.6) unstable; urgency=low
481
482   * More generic support for Java2 1.4.2 from SUN.
483
484  -- Hubert Schmid <ude2@z42.de>  Thu, 11 Mar 2004 20:39:51 +0100
485
486 java-package (0.5) unstable; urgency=low
487
488   * NEW: build Blackdown J2RE 1.4.1 (gcc-2.95) and J2SDK 1.4.1 (gcc-2.95).
489
490   * NEW: support for SUN J2RE 1.5.0 beta, SUN J2SDK 1.5.0 beta.
491
492  -- Hubert Schmid <ude2@z42.de>  Sat,  7 Feb 2004 21:57:09 +0100
493
494 java-package (0.4) unstable; urgency=low
495
496   * Added support for: SUN J2RE 1.4.2_03, SUN J2SDK 1.4.2_03
497
498  -- Hubert Schmid <ude2@z42.de>  Thu, 15 Jan 2004 22:27:52 +0100
499
500 java-package (0.3) unstable; urgency=low
501
502   * Added support for: Blackdown J2RE 1.3, 1.4, J2SDK 1.3, 1.4
503
504   * Removed usage of "du --apparent-size". This should fix a problem
505     with old fileutils.
506
507  -- Hubert Schmid <ude2@z42.de>  Sun,  9 Nov 2003 21:13:38 +0100
508
509 java-package (0.2) unstable; urgency=low
510
511   * Added support for: Sun J2RE 1.3, Sun J2SDK 1.3, Sun J2SDK 1.4
512
513   * Moved peer packages into this source package.
514
515  -- Hubert Schmid <ude2@z42.de>  Thu, 30 Oct 2003 00:10:01 +0100
516
517 java-package (0.1) unstable; urgency=low
518
519   * Initial Release.
520
521  -- Hubert Schmid <j2se-package@z42.de>  Sun, 26 Oct 2003 20:06:57 +0100